{% extends 'base.html.twig' %}

{% block title %}Undercover - Jeu de l'imposteur en ligne multijoueur{% endblock %}

{% block stylesheets %}
    <style>
        body {
            width: 100vw;
            height: 100vh;
            margin: 0;
            font-family: 'Roboto', sans-serif;
            overflow-x: hidden;
            background: #ececec;
        }

        header {
            width: 100vw;
            height: 80px;
            background: #0a0717;
            background-position: center;
            background-size: 70px;
            display: flex;
            justify-content: space-between;
            flex-direction: row;

        }

        #header-button {
            display: flex;
            align-items: center;
            justify-content: flex-end;
            margin-right: 50px;
        }

        #header-button button {
            padding: 15px 50px;
            cursor: pointer;
            background: #161225;
            border: 0;
            font-size: 12px;
            border-radius: 3px;
            text-transform: uppercase;
            outline: none;
            font-weight: bold;
            color: white;
            transition: all 0.2s;
        }

        #header-button button:hover {
            background: #413d4e;
        }

        #navbar {

            height: 100%;
            display: flex;
            align-items: center;
            margin-left: 50px;

        }

        #navbar img {
            width: 50px;
        }

        #navbar ul {
            list-style-type: none;
            margin: 0;
            line-height: 40px;
            font-weight: bold;
            letter-spacing: 0.2px;
            text-transform: uppercase;
            font-size: 12px;
        }

        #navbar li {
            display: inline;
            cursor: pointer;
            padding: 10px 10px;
            margin: 10px;
            height: 100%;
            transition: all 0.2s;
        }

        #navbar li.active, li:hover {
            border-bottom: solid 4px white;
        }

        #navbar li.disable a {
            color: #545454;
            cursor: default;
        }

        #navbar li.disable:hover {
            border: 0;
        }

        #navbar a {
            color: white;
            text-decoration: none;
        }
    </style>
{% endblock %}

{% block body %}
    <header>
        <div id="navbar">
            <img src="{{ asset('assets/images/form/Spy.svg') }}" alt=""/>
            <ul>
                <li><a href="{{ path('undercover_home') }}">Accueil</a></li>
                <li><a href="{{ path('undercover_contribute') }}">Contribuer</a></li>
                <li><a href="{{ path('undercover_presse') }}">Presse</a></li>
                <li class="active"><a href="{{ path('undercover_rules') }}">Règles</a></li>
                <li class="disable"><a href="#">Connexion</a></li>
            </ul>
        </div>
        <div id="header-button">
            <a href="{{ path('undercover_create') }}">
                <button>Jouer</button>
            </a>
        </div>
    </header>
    <h1>Rules</h1>
{% endblock %}

{% block javacripts %}{% endblock %}